complexType "Rounding"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 2 elements
Defined: | globally in fpml-shared-5-5.xsd; see XML source
Includes: | definitions of 2 elements
Used: | never

Content Model Diagram

XML Representation Summary
<...>
Content: | roundingDirection?, precision?
</...>

Content Model Elements (2):

  precision, roundingDirection

Annotation
A type defining a rounding direction and precision to be used in the rounding of a rate.
XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="Rounding"> <xsd:sequence> <xsd:element minOccurs="0" name="roundingDirection" type="RoundingDirectionEnum"/> <xsd:element minOccurs="0" name="precision" type="xsd:nonNegativeInteger"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/2)
precision

  Type: | xsd:nonNegativeInteger, predefined, simple content

  Specifies the rounding precision in terms of a number of decimal places. Note how a percentage rate rounding of 5 decimal places is expressed as a rounding precision of 7 in the FpML document since the percentage is expressed as a decimal, e.g. 9.876543% (or 0.09876543) being rounded to the nearest 5 decimal places is 9.87654% (or 0.0987654).
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="precision" type="xsd:nonNegativeInteger"/>

roundingDirection

  Type: | RoundingDirectionEnum, simple content

  Specifies the rounding direction.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "Up" | - | A fractional number will be rounded up to the specified number of decimal places (the precision). For example, 5.21 and 5.25 rounded up to 1 decimal place are 5.3 and 5.3 respectively. See: http://www.FpML.org
  "Down" | - | A fractional number will be rounded down to the specified number of decimal places (the precision). For example, 5.29 and 5.25 rounded down to 1 decimal place are 5.2 and 5.2 respectively. See: http://www.FpML.org
  "Nearest" | - | A fractional number will be rounded either up or down to the specified number of decimal places (the precision) depending on its value. For example, 5.24 would be rounded down to 5.2 and 5.25 would be rounded up to 5.3 if a precision of 1 decimal place were specified. See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="roundingDirection" type="RoundingDirectionEnum"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.